Subject: bug#56444: [EXT] Re: bug#56444: Patch to fix Gitolite home directory permissions

From: Maxime Devos <[email-masked]>
Date: Mon, 29 Aug 2022 15:19:49 +0200

On 29-08-2022 14:57, Thompson, David wrote:

> I disagree.  I believe we shouldn't let perfect be the enemy of the good.

I don't think your patch counts as "good" here -- while fixing the bug 
counts as "good", you are at the same time introducing a new bug (the 
non-atomicity), which is bad.  You would have to weigh the goodness and 
the badness to end up with an overall "good" (or maybe "bad", depending 
on the conclusion), but I'd think that the time required to do such a 
weighing is better spent by doing a tiny bit of extra effort to 
implement the new field (it should be very low effort, see other response).

Greetings,
Maxime.